org.jCharts.axisChart.customRenderers.axisValue

## Class AxisValueRenderEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jCharts.axisChart.customRenderers.axisValue.AxisValueRenderEvent

- All Implemented Interfaces:
    Serializable

      public class AxisValueRenderEvent
      extends EventObject

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `dataSetIndex`
    `private FontRenderContext` | `fontRenderContext`
    `private Graphics2D` | `graphics2D`
    `private IAxisPlotDataSet` | `iAxisPlotDataSet`
    `private Rectangle2D.Float` | `totalItemAxisArea`
    `private int` | `valueIndex`
    `private float` | `valueX`
    `private float` | `valueY`
    `private float` | `zeroLineCoordinate`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AxisValueRenderEvent(AxisChart axisChart, IAxisPlotDataSet iAxisPlotDataSet, Graphics2D graphics2D, Rectangle2D.Float totalItemAxisArea, float zeroLineCoordinate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataSetIndex()`
    `FontRenderContext` | `getFontRenderContext()`
    `Graphics2D` | `getGraphics2D()`
    `IAxisPlotDataSet` | `getiAxisPlotDataSet()`
    `Rectangle2D.Float` | `getTotalItemAxisArea()` Returns the bounding box of the total axis plot area alotted to the current scale item.
    `int` | `getValueIndex()`
    `float` | `getValueX()`
    `float` | `getValueY()`
    `float` | `getZeroLineCoordinate()`
    `void` | `setDataSetIndex(int dataSetIndex)`
    `void` | `setValueIndex(int valueIndex)`
    `void` | `setValueX(float valueX)`
    `void` | `setValueY(float valueY)`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphics2D

          private Graphics2D graphics2D

    - #### fontRenderContext

          private FontRenderContext fontRenderContext

    - #### iAxisPlotDataSet

          private IAxisPlotDataSet iAxisPlotDataSet

    - #### totalItemAxisArea

          private Rectangle2D.Float totalItemAxisArea

    - #### zeroLineCoordinate

          private float zeroLineCoordinate

    - #### valueX

          private float valueX

    - #### valueY

          private float valueY

    - #### dataSetIndex

          private int dataSetIndex

    - #### valueIndex

          private int valueIndex

  - ### Constructor Detail

    - #### AxisValueRenderEvent

          public AxisValueRenderEvent(AxisChart axisChart,
                                      IAxisPlotDataSet iAxisPlotDataSet,
                                      Graphics2D graphics2D,
                                      Rectangle2D.Float totalItemAxisArea,
                                      float zeroLineCoordinate)

      Parameters:
        `axisChart` -
        `graphics2D` -
        `totalItemAxisArea` -

  - ### Method Detail

    - #### getGraphics2D

          public Graphics2D getGraphics2D()

      Returns:
        Graphics2D

    - #### getFontRenderContext

          public FontRenderContext getFontRenderContext()

      Returns:
        FontRenderContext

    - #### getTotalItemAxisArea

          public Rectangle2D.Float getTotalItemAxisArea()

      Returns the bounding box of the total axis plot area alotted to the current scale item.
      Returns:
        Rectangle2D.Float

    - #### getiAxisPlotDataSet

          public IAxisPlotDataSet getiAxisPlotDataSet()

    - #### getValueX

          public float getValueX()

      Returns:

    - #### setValueX

          public void setValueX(float valueX)

    - #### getValueY

          public float getValueY()

    - #### setValueY

          public void setValueY(float valueY)

    - #### getDataSetIndex

          public int getDataSetIndex()

    - #### setDataSetIndex

          public void setDataSetIndex(int dataSetIndex)

    - #### getValueIndex

          public int getValueIndex()

    - #### setValueIndex

          public void setValueIndex(int valueIndex)

    - #### getZeroLineCoordinate

          public float getZeroLineCoordinate()